#! /bin/sh
#  ------------------------------------------------------------
#  Company: Software- und Organisations-Service GmbH
#  Purpose: "kill script" for JobScheduler Agent
#  ------------------------------------------------------------

for param in "$@"
do
  case "$param" in
         -kill-agent-task-id=*)     KILL_TASK_ID=`echo "$param" | sed -e 's/-kill-agent-task-id=//'`
                            ;;
  esac
done

if [ -z "${KILL_TASK_ID}" ]
then
  echo "option -kill-agent-task-id is not set"
  exit 2
fi

KILL_TASK_PID=`ps -ef -w -w | grep " -agent-task-id=${KILL_TASK_ID}" | grep -v "grep" | awk '{print $2}'`

if [ -z "${KILL_TASK_PID}" ]
then
  echo "process with -agent-task-id=${KILL_TASK_PID} doesn't exist."
  exit 0
fi

echo "killing task with pid ${KILL_TASK_PID}"
kill -9 -"${KILL_TASK_PID}"
kill_err=$?
test $kill_err -eq 0 || echo "...kill task failed!"

exit $kill_err 